MAD WORLD - AGE OF DARKNESS

MAD WORLD - AGE OF DARKNESS

Download

■ [ Mad World exclusive browser system requirement ]

  • * Windows

    Operating System

    Windows 7, Windows 8, Windows 8.1, Windows 10 This version or later one

    Processor

    A version or later which supports Intel Pentium 4 processor or SSE3​

    Graphic

    2 ~ 4GB VRAM (GTX 1060 This version or later one is recommended)

    Memory

    2 ~ 4GB

    Storage

    500 MB

* Mac, Linux, Android are not supported yet.

* Currently, Google Login is not supported. We will try to add the function as soon as possible.